curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/routing \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/routing"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/routing");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/routing")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"routes": [
{
"id": "467bbaad-3f50-4c27-9f24-0427aaec611f",
"priority": "URGENT",
"queueId": "448bf76d-0047-49a3-93a4-ea8722d6aeaa",
"queueName": "First Queue",
"enabled": true,
"name": "First Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 1,
"routeOnlyDuringWorkingHours": true,
"isPrivate": false,
"expression": {
"$or": [
{
"$eq": {
"message.channel": "WHATSAPP"
}
},
{
"$eq": {
"message.channel": "LIVE_CHAT"
}
}
]
}
},
{
"id": "467bbaad-3f50-4c27-9f24-0427baec611f",
"priority": "HIGH",
"queueId": "448bf76d-0047-49a3-93a4-ea8722d7aeab",
"queueName": "Second Queue",
"enabled": true,
"name": "Second Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 2,
"routeOnlyDuringWorkingHours": false,
"isPrivate": false,
"expression": {
"$and": [
{
"$eq": {
"message.channel": "TELEGRAM"
}
},
{
"$eq": {
"customer.country": "Croatia"
}
}
]
}
},
{
"id": "eb7bdb7d-7281-4107-8d7b-80efc8548a38",
"priority": "NORMAL",
"queueId": "39b52b7f-db13-4c47-9b6e-de2ba91df62g",
"queueName": "Third Queue",
"enabled": true,
"name": "Third Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 3,
"routeOnlyDuringWorkingHours": false,
"isPrivate": false,
"expression": {
"$eq": {
"message.channel": "VIBER"
}
}
}
],
"pagination": {
"totalItems": 3,
"page": 0,
"limit": 999,
"orderBy": "order:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get routing
Use this method to get a list of rules within the routing. Pagination is set to single page result with a maximum of 999 items ordered by “order”. As rules inside routing are stored, executed and retrieved in provided order with the SET method, that order can’t be changed. More info
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/routing \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/routing"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/routing");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/routing")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"routes": [
{
"id": "467bbaad-3f50-4c27-9f24-0427aaec611f",
"priority": "URGENT",
"queueId": "448bf76d-0047-49a3-93a4-ea8722d6aeaa",
"queueName": "First Queue",
"enabled": true,
"name": "First Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 1,
"routeOnlyDuringWorkingHours": true,
"isPrivate": false,
"expression": {
"$or": [
{
"$eq": {
"message.channel": "WHATSAPP"
}
},
{
"$eq": {
"message.channel": "LIVE_CHAT"
}
}
]
}
},
{
"id": "467bbaad-3f50-4c27-9f24-0427baec611f",
"priority": "HIGH",
"queueId": "448bf76d-0047-49a3-93a4-ea8722d7aeab",
"queueName": "Second Queue",
"enabled": true,
"name": "Second Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 2,
"routeOnlyDuringWorkingHours": false,
"isPrivate": false,
"expression": {
"$and": [
{
"$eq": {
"message.channel": "TELEGRAM"
}
},
{
"$eq": {
"customer.country": "Croatia"
}
}
]
}
},
{
"id": "eb7bdb7d-7281-4107-8d7b-80efc8548a38",
"priority": "NORMAL",
"queueId": "39b52b7f-db13-4c47-9b6e-de2ba91df62g",
"queueName": "Third Queue",
"enabled": true,
"name": "Third Rule",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"order": 3,
"routeOnlyDuringWorkingHours": false,
"isPrivate": false,
"expression": {
"$eq": {
"message.channel": "VIBER"
}
}
}
],
"pagination": {
"totalItems": 3,
"page": 0,
"limit": 999,
"orderBy": "order:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Optional. List of rule Ids.
Optional. Rule enable/disable toggle.